%define fontname Thabit
%define fontdir %{_datadir}/fonts/%{fontname}
%define fontconfdir %{_sysconfdir}/fonts/conf.d
%define archivename %{fontname}-%{version}

Name: %{fontname}-fonts
Version: 0.02
Release: 3%{?dist}
Summary: Thabit fonts form Arabeyes.org
Group: User Interface/X
License: OFL
URL: http://www.arabeyes.org
Source0: http://downloads.sourceforge.net/arabeyes/Thabit-0.02.tar.gz
Source2: %{fontname}-fontconfig.conf
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

%description
This package contains core Arabic fonts from Arabeyes.org project.
It covers Arabic, Farsi, Urdu and Pashto languages, and is suitable for
on screen display.

%prep
rm -rf %{archivename} %{archivename}-tree
mkdir %{archivename}-tree

tar xzf %{SOURCE0} -C %{archivename}-tree
mv %{archivename}-tree/Thabit*/ChangeLog %{archivename}-tree/ChangeLog-Thabit
mv %{archivename}-tree/Thabit*/README %{archivename}-tree/README-Thabit
mv %{archivename}-tree/Thabit*/README.arabic %{archivename}-tree/README-Thabit.arabic
#rm %{archivename}-tree/Thabit*/OFL* # duplicated


mkdir %{archivename}
find %{archivename}-tree -type f | xargs mv -t %{archivename}

%build

%install
rm -rf %{buildroot} 

install -m 0755 -d %{buildroot}%{fontdir}
install -m 0644 -p %{archivename}/*.ttf %{buildroot}%{fontdir}

install -m 0755 -d %{buildroot}%{fontconfdir}
install -m 0644 -p %{SOURCE2} %{buildroot}%{fontconfdir}/65-%{fontname}.conf 

%clean
rm -rf %{buildroot}

%post
if [ -x %{_bindir}/fc-cache ] ; then
    %{_bindir}/fc-cache -f %{fontdir} || :
fi

%postun
if [ $1 -eq 0 -a -x %{_bindir}/fc-cache ] ; then
    %{_bindir}/fc-cache -f %{fontdir} || :
fi

%files 	
%defattr(0644,root,root,0755)
%doc %{archivename}/OFL*
%doc %{archivename}/README*
%doc %{archivename}/ChangeLog*
%config(noreplace) %{fontconfdir}/65-%{fontname}.conf
%dir %{fontdir}/
%{fontdir}/*.ttf

%changelog
* Mon Sep 08 2008  Subhodip Biswas <subhodip@fedoraproject.org> -0.02-3
- Packaged seperatly as  Thabit and Mothana. 
* Tue Sep 02 2008  Subhodip Biswas <subhodip@fedoraproject.org> -0.02-2
- Submit for review. 
* Fri Aug 29 2008  Khaled Hosny <khaledhosny@eglug.org> - 0.02-1
- Initial Fedora package
